summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Lauer <mickey@vanille-media.de>2008-06-14 16:37:42 +0000
committerMichael Lauer <mickey@vanille-media.de>2008-06-14 16:37:42 +0000
commit1682d5f8e9ada57a3b1e3561c1c56e61a42514bd (patch)
tree7beb2dec03281f080528286bfa3b751ad1d5469d
parentdfeedab1ba8c66caf78afe985bab29bfa69a468b (diff)
parent2f148387226b979c4ffaa5000320c102f9a4cfb1 (diff)
merge of '9ea31290125f045b9aba7f495e83482e68ce640d'
and 'c06fa0c45cd1c86ad35d00394ce13105f5d01c08'
-rw-r--r--packages/powertop/powertop_1.10.bb (renamed from packages/powertop/powertop_1.9.bb)2
-rw-r--r--packages/pulseaudio/pulseaudio-esd-wrapper.bb40
2 files changed, 41 insertions, 1 deletions
diff --git a/packages/powertop/powertop_1.9.bb b/packages/powertop/powertop_1.10.bb
index ab84161ddc..0b2d4ffa05 100644
--- a/packages/powertop/powertop_1.9.bb
+++ b/packages/powertop/powertop_1.10.bb
@@ -3,7 +3,7 @@ HOMEPAGE = "http://www.linuxpowertop.org/"
LICENSE = "GPLv2"
DEPENDS = "ncurses"
-SRC_URI = "http://www.linuxpowertop.org/download/powertop-${PV}.tar.gz"
+SRC_URI = "http://www.lesswatts.org/projects/powertop/download/powertop-${PV}.tar.gz"
CFLAGS += "${LDFLAGS}"
diff --git a/packages/pulseaudio/pulseaudio-esd-wrapper.bb b/packages/pulseaudio/pulseaudio-esd-wrapper.bb
new file mode 100644
index 0000000000..30164225df
--- /dev/null
+++ b/packages/pulseaudio/pulseaudio-esd-wrapper.bb
@@ -0,0 +1,40 @@
+DESCRIPTION = "Drop-in Esound replacement"
+LICENSE = "GPLv2"
+
+RCONFLICTS = "esd"
+RREPLACES = "esd"
+
+RDEPENDS = " \
+ pulseaudio-server \
+ pulseaudio-misc \
+ pulseaudio-lib-protocol-esound \
+ pulseaudio-module-esound-compat-spawnfd \
+ pulseaudio-module-esound-compat-spawnpid \
+ pulseaudio-module-esound-protocol-tcp \
+ pulseaudio-module-esound-protocol-unix \
+"
+
+do_install() {
+ install -d ${D}/${bindir}
+ ln -sf ${bindir}/esdcompat ${D}/${bindir}/esd
+}
+
+
+PACKAGE_ARCH = "all"
+
+pkg_postinst_${PN} () {
+#!/bin/sh
+if [ "x$D" != "x" ]; then
+ exit 1
+fi
+
+mkdir -p /etc/pulse || true
+# Remove existing entries
+if [ -e /etc/pulse/session ] ; then
+ sed -i -e /load-module\ module-esound-protocol-unix/d e /load-module\ module-esound-protocol-tcp/d /etc/pulse/session
+fi
+# Load esound modules
+echo "load-module module-esound-protocol-tcp" >> /etc/pulse/session
+echo "load-module module-esound-protocol-unix" >> /etc/pulse/session
+}
+